#!/usr/bin/python

import sys
import os

def makename(text):
	result = ""
	for c in text:
		if c.isalnum():
			result += c
		else:
			result += '_'
	return result

def escape(text):
	result = ""
	for c in text:
		if c=='\t':
			result += "\\t"
		elif c=='\n':
			result += "\\n"
		elif c=='"':
			result += "\\\""
		else:
			result += c
	return result

name = makename(os.path.split(sys.argv[1])[1])
lines = open(sys.argv[1]).readlines()
out = open(sys.argv[2], "w")
out.write("""namespace Msp {
namespace GL {
""")
out.write("extern const char {}_data[] =\n".format(name))
for l in lines:
	out.write("\t\"{}\"\n".format(escape(l)))
out.write(""";

} // namespace GL
} // namespace Msp
""")
